<template>
    <div id="genres">
        <h5> Les Genres</h5>
        <div class="card mt-4" v-for="genre in allGenres" :key="genre.id">
            <p>{{genre.label}} : </p>
            <br>
            <i>{{genre.icon}}</i>
        </div>
    </div>
</template>

<script>
import axios from 'axios'
const BOOKS_API_ENDPOINT = "http://localhost:3000/books"
const GENRES_API_ENDPOINT = "http://localhost:3000/genres"
export default {
  name: 'booksGenres',
  data:()=>({
    allGenres:[],
    allBooks:[]
  }),
  methods:{
    async fetchAllGenres(){
        let allGenres = await axios.get(GENRES_API_ENDPOINT)
        let {data} = allGenres
        this.allGenres = data
    },
    async fetchAllBooks(){
        let allBooks = await axios.get(BOOKS_API_ENDPOINT)
        let {data} = allBooks
        this.allBooks = data
    }
  },
  async created(){
    await this.fetchAllGenres()
    await this.fetchAllBooks()
  },
 
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
